* {
    box-sizing: border-box;
    font-family: Verdana;
}

body {
    font-family: Verdana;
}

h1 {
    text-align: center;
    font-size: 36px;
    margin-top: 30px;
    margin-bottom: 20px;
    margin-left: 20px;
}

.windows-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 0px;
}

.window {
    width: 600px;
    height: 400px;
    border-radius: 10px;
    background-color: white;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
    margin: 20px;
    position: relative;
    /*overflow-y: scroll;*/
    resize: both;
    overflow: auto;
}

.window-header {
    height: 50px;
    background-color: var(--main-color);
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    font-size: 18px;
}

.window-content {
    padding: 20px;
    height: calc(100% - 50px);
    overflow-y: scroll;
}

.window-content h2 {
    display: block;
    text-wrap: balance;
    border-bottom: solid var(--main-color) 3px;
    padding: 5px 0px 10px 5px;
    width: 100%;
    margin-bottom: revert;
}

.close-button {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 20px;
    color: white;
    cursor: pointer;
}

.language-selection {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 0px;
}

.language-button {
    padding: 10px 20px;
    border-radius: 10px;
    background-color: rgba(70, 100, 170, 1);
    color: white;
    font-size: 20px;
    cursor: pointer;
    margin-top: 40px;
    margin: 10px;
    border: none;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.language-button a {
    color: white
}

.language-button:hover {
    background-color: rgba(70, 100, 170, 1);
}

.dropdown {
    position: relative;
    display: inline-block;
    text-align: left;
}

.dropdown-content {
    display: none;
    position: absolute;
    z-index: 1;
    display: none;
}

.dropdown-content.show {
    display: block;
}

.myspan {
    display: inline;
}

header {
    display: flex;
    justify-content: space-between;
    width: 100%;
    height: 100px;
    background-color: var(--main-color);
    color: white;
}

header a {
    color: #FFFFFF;
    text-decoration: none;
    height: 100%;
}

.logo {
    height: 55px;
    width: 88%;
    object-fit: contain;
    display: block;
    margin: auto;
    margin-top: 45px;
}


.KITlogo {
    height: 100px;
    margin: 0px;
    background-color: rgb(255, 255, 255);
}

.container {
    position: relative;
    height: 100vh;
}

.menu {
    position: fixed;
    top: 150px;
    left: -250px;
    transform: translateY(0);
    background-color: var(--main-color);
    color: #fff;
    width: 250px;
    height: 100%;
    padding-top: 50px;
    transition: left 0.3s ease;
    z-index: 100;
}

.sidebar {
    position: relativ;
    top: 0;
    left: 0;
    width: 40px;
    height: 100%;
    background-color: var(--main-color);
    opacity: 1;
    transition: opacity 0.3s ease;
}

.sidebartop {
    position: fixed;
    top: 150px;
    left: 20px;
    width: 40px;
    height: 40px;
    background-color: var(--main-color);
    opacity: 1;
    transition: opacity 0.3s ease;
    z-index: 2;
}

.sidebar-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 40px;
    color: #fff;
    cursor: pointer;
}

.menu-content {
    padding: 20px;
}

.menu-title {
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 20px;
}

.menu ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.menu li {
    padding: 10px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.menu li:last-child {
    border-bottom: none;
}

.menu a {
    color: #fff;
    text-decoration: none;
}

.menu a:hover {
    color: rgba(70, 100, 170, 1);
}

.content {
    padding: 20px;
    flex: 1;
}

.sessions {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 0px;
}

.session {
    width: 200px;
    height: 200px;
    border-radius: 16px;
    background-color: #ffffff;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
    margin: 20px;
    position: relative;
    overflow: hidden;
    text-align: center;
    transition: all 0.3s ease;
}

.session:hover {
    cursor:pointer;
    transform: translateY(-5px);
    box-shadow: 0 15px 30px rgba(0, 0, 0, 0.15);
}

.session-header {
    height: 50px;
    background-color: var(--main-color);
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
}

.session a {
    display: block;
    text-decoration: none;
    color: black;
    margin-top: 50px;
    font-size: 18px;
}

.session-text {
    display: block;
    text-decoration: none;
    color: black;
    margin-top: 50px;
    font-size: 18px;
}

.session-link {
    display: block;
    text-decoration: none;
    color: black;
    margin-top: 50px;
    font-size: 18px;
}

.archivesession {
    width: 300px;
    height: 200px;
    border-radius: 10px;
    background-color: white;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    margin: 5px;
    position: relative;
    overflow: hidden;
    text-align: center;
}

.archivesession a {
    display: block;
    text-decoration: none;
    color: black;
    margin-top: 5px;
    font-size: 18px;
}

.archivesession-text {
    display: block;
    text-decoration: none;
    color: black;
    margin-top: 5px;
    font-size: 18px;
}

.archivesession-link {
    display: block;
    text-decoration: none;
    color: black;
    margin-top: 5px;
    font-size: 18px;
}

.session_title {
    font-weight: bold;
}

.session_presenter {
    color: gray;
    font-size: 12px;
}

.session_event {
    color: gray;
    font-size: 12px;
}

.thumb {
    height: 55px;
    width: 88%;
    object-fit: contain;
    display: block;
    margin: auto;
    margin-top: 5px;
}



.mic-icon {
    width: 100px;
    height: 100px;
    cursor: pointer;
    border: 10px
}

.level-display {
    height: 50px;
    width: 300px;
    /*width: 70%;*/
    position: relative;
    background-color: lightgrey;
    align-items: center;
    border-radius: 5px;
}

.level-bar {
    display: none;
    position: absolute;
    bottom: 0;
    left: 0;
    height: 50px;
    background-color: green;
    width: 0%;
    transition: width 0.1s;
}

.audio {
    width: 420px;
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
    border-radius: 10px;
    background-color: white;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    margin: 20px;

    /*
  width: 400px;
  height: 200px;
  border-radius: 10px;
  background-color: white;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  margin: 20px;
  position: relative;
  overflow: hidden;
  align-items: center;*/
}

.logout {
    position: absolute;
    top: 150px;
    right: 20px;
    color: #333;
    font-size: 24px;
    cursor: pointer;
}

.logout:hover {
    color: #4CAF50;
}

.logout a {
    text-decoration: none;
}

audio {
    display: block;
    margin: 0 auto;
}

/* Customize the appearance of the audio player controls */
audio::-webkit-media-controls {
    background-color: #333;
    color: #fff;
}

audio::-webkit-media-controls-play-button {
    /*background-image: url("play-button.svg");*/
    background-size: contain;
}

audio::-webkit-media-controls-volume-slider {
    width: 100px;
}

textarea {
    width: 100%;
    /* Make the textarea take up the full width of its container */
    height: 100px;
    /* Set an initial height for the textarea */
    resize: vertical;
    /* Allow vertical resizing */
    box-sizing: border-box;
    /* Include padding and border in the height calculation */
}


#searchbar {
    background-image: url('https://www.w3schools.com/css/searchicon.png');
    /* Add a search icon to input */
    background-position: 10px 12px;
    /* Position the search icon */
    background-repeat: no-repeat;
    /* Do not repeat the icon image */
    width: 50%;
    /* Full-width */
    font-size: 16px;
    /* Increase font-size */
    padding: 12px 20px 12px 40px;
    /* Add some padding */
    border: 1px solid #ddd;
    /* Add a grey border */
    margin-bottom: 12px;
    /* Add some space below the input */
}

/* .video-container {
    justify-content: center;
    display: flex;
    flex-wrap: wrap;
}


video {
    object-fit: contain;
    /* Maintain aspect ratio */
/* } */ */

.video-container {
    justify-content: center;
    display: flex;
    flex-wrap: wrap;
}

.resizable-video {
    resize: both;
    overflow: hidden;
    width: 60%; /* Initial width */
    border: 1px solid #ccc;
    position: relative; /* Ensures video fits within the resizable container */
}

video {
    width: 100%; /* Make the video scale with the width of the container */
    height: 100%; /* Ensure it stretches to match the container's height */
    object-fit: contain; /* Maintain the aspect ratio */
}


.tts-audio-wrapper{
    width: 100%;
    text-align: center;
    margin: 20px;
}

.tts-audio {
    width:80%;
    height: 40px;
}

.underline {
    text-decoration: underline;
}

.double-underline {
    text-decoration: underline;
    border-bottom: 1px solid #000;
}

.bold {
    font-weight: bold;
}

.highlight {
  background-color: yellow;
}
.empty-class {}

span-highlight {
    background-color: highlight;
    color: highlighttext;
}

cursor-image {
    display: inline-block;
    background-image: url('/static/img/cursor.svg');
    background-repeat: no-repeat;
    background-size: contain;
    height: 1em;
    width: 0.2em;
    vertical-align: middle;
    animation: blink-animation 1s step-start infinite;
}

@keyframes blink-animation {
    0%, 100% {
        visibility: visible;
    }
    50% {
        visibility: hidden;
    }
}
